Skip to content

Transaction ​

INFO

Every response arrives in the shared envelope — code, message, messages, status_code, time — with the payload in data. The tables below describe what is inside data.

POST /transaction/income ​

This method allows adding transaction into the account.

Request body

FieldTypeRequiredDescription
invoice_idstringNo
payment_type_idstringYes
employee_idstringYes
employee_assistant_idstringNo
supplier_idstringYes
supplier_assistant_idstringNo
customer_idstringYes
customer_assistant_idstringNo
person_idstringYes
person_assistant_idstringNo
user_typestringYesOne of: supplier, employee, customer, person, other
amountnumberYesDefault: 10
atachmentsobject[]Yes
atachments[].pathstringYes
paidnumberNoDefault: 10
payment_method_idstringYes
currency_idstringYes
json
{
  "invoice_id": "64b7f4d9e2b3b6a0b7c5d7ff",
  "payment_type_id": "64b7f4d9e2b3b6a0b7c5d7ff",
  "employee_id": "64b7f4d9e2b3b6a0b7c5d800",
  "employee_assistant_id": "64b7f4d9e2b3b6a0b7c5d801",
  "supplier_id": "64b7f4d9e2b3b6a0b7c5d802",
  "supplier_assistant_id": "64b7f4d9e2b3b6a0b7c5d803",
  "customer_id": "64b7f4d9e2b3b6a0b7c5d804",
  "customer_assistant_id": "64b7f4d9e2b3b6a0b7c5d805",
  "person_id": "64b7f4d9e2b3b6a0b7c5d806",
  "person_assistant_id": "64b7f4d9e2b3b6a0b7c5d807",
  "user_type": "customer",
  "amount": 10,
  "atachments": [
    {
      "path": "string"
    }
  ],
  "paid": 10,
  "payment_method_id": "64b7f4d9e2b3b6a0b7c5d806",
  "currency_id": "64b7f4d9e2b3b6a0b7c5d806"
}

Response

FieldTypeDescription
numberstringTransaction number
typestringTransaction type
balance_changesobject[]Balance changes
balance_changes[].currency_idstringCurrency ID
balance_changes[].amountnumberAmount
balance_changes[].valuenumberValue
balance_changes[].user_typestringUser type
organizationobjectOrganization
organization._idstringOrganization ID
organization.namestringOrganization name
payment_typeobjectPayment type
payment_type._idstringPayment type ID
payment_type.namestringPayment type name
payment_type.payment_typestringPayment type
contract_numberstringContract number
amountnumberAmount
statestringState
currency_idstringCurrency ID
exchange_amountnumberExchange amount
cashbox_idstringCashbox ID
cashboxobjectCashbox
cashbox._idstringCashbox ID
cashbox.namestringCashbox name
destination_cashbox_idstringDestination cashbox ID
destination_cashboxobjectDestination cashbox
destination_cashbox._idstringDestination cashbox ID
destination_cashbox.namestringDestination cashbox name
source_cashbox_idstringSource cashbox ID
source_cashboxobjectSource cashbox
source_cashbox._idstringSource cashbox ID
source_cashbox.namestringSource cashbox name
exchange_currencyobjectExchange currency
exchange_currency._idstringExchange currency ID
exchange_currency.namestringExchange currency name
exchange_currency.valuenumberExchange currency value
employeeobjectEmployee
employee._idstringEmployee ID
employee.full_namestringEmployee full name
employee.phone_numberstringEmployee phone number
supplierobjectSupplier
supplier._idstringSupplier ID
supplier.full_namestringSupplier full name
supplier.namestringSupplier name
supplier.phone_numberstringSupplier phone number
customerobjectCustomer
customer._idstringCustomer ID
customer.full_namestringCustomer full name
customer.namestringCustomer name
customer.phone_numberstringCustomer phone number
personobjectPerson
person._idstringPerson ID
person.namestringPerson name
person.full_namestringPerson full name
person.phone_numberstringPerson phone number
person.typestringPerson type
parentobjectParent
parent._idstringParent ID
parent.amountnumberAmount
parent.currency_idstringCurrency ID
parent.payment_method_idstringPayment method ID
parent.payment_methodstringPayment method
parent.cashbox_idstringCashbox ID
parent.typestringType
parent.custom_idstringCustom ID
destinationobjectDestination
destination._idstringDestination ID
destination.namestringName
payment_methodobjectPayment method
payment_method._idstringPayment method ID
payment_method.typestringType
payment_method.namestringName
created_atstringCreated at
datestringDate
updated_atstringUpdated at
is_deletedbooleanIs deleted
completely_deletedbooleanCompletely deleted
balance_listobject[]Balance list
created_byobjectCreated by
created_by._idstringCreated by ID
created_by.full_namestringFull name
to_customerstringTo customer
to_supplierstringTo supplier
to_employeestringTo employee
to_personstringTo person
descriptionstringDescription
receiptstringReceipt
cashbox_before_balanceobjectCashbox before balance
cashbox_before_balance._idstring
cashbox_before_balance.organization_idintegerOrganization ID
cashbox_before_balance.payment_method_idstringPayment method ID
cashbox_before_balance.currency_idstringCurrency ID
cashbox_before_balance.amountnumber
cashbox_after_balanceobjectCashbox after balance
cashbox_after_balance._idstring
cashbox_after_balance.organization_idintegerOrganization ID
cashbox_after_balance.payment_method_idstringPayment method ID
cashbox_after_balance.currency_idstringCurrency ID
cashbox_after_balance.amountnumber
human_before_balanceobjectHuman before balance
human_before_balance._idstring
human_before_balance.organization_idintegerOrganization ID
human_before_balance.payment_method_idstringPayment method ID
human_before_balance.currency_idstringCurrency ID
human_before_balance.amountnumber
human_after_balanceobjectHuman after balance
human_after_balance._idstring
human_after_balance.organization_idintegerOrganization ID
human_after_balance.payment_method_idstringPayment method ID
human_after_balance.currency_idstringCurrency ID
human_after_balance.amountnumber
attachmentsstring[]Attachments
invoiceobjectInvoice
invoice._idstringInvoice ID
invoice.numberstringInvoice number
invoice.currency_idstringCurrency ID
invoice.currency_valuenumberCurrency value
invoice.paidnumberPaid amount
invoice.main_idstringMain invoice ID
can_be_canceledbooleanCan be canceled
done_atstringDone at
rejected_atstringRejected at
canceled_atstringCanceled at
deviceobjectDevice
device._idstringDevice ID
device.namestringDevice name
device.device_idstringDevice ID
tradeobjectTrade
trade._idstringTrade ID
trade.numberstringTrade number
trade.is_refundstringIs refund
responsibleobjectResponsible
responsible._idstringResponsible ID
responsible.full_namestringFull name
customer_assistantobjectCustomer assistant
customer_assistant._idstringCustomer assistant ID
customer_assistant.namestringCustomer assistant name
customer_assistant.typestringCustomer assistant type
supplier_assistantobjectSupplier assistant
supplier_assistant._idstringSupplier assistant ID
supplier_assistant.namestringSupplier assistant name
supplier_assistant.typestringSupplier assistant type
employee_assistantobjectEmployee assistant
employee_assistant._idstringEmployee assistant ID
employee_assistant.namestringEmployee assistant name
employee_assistant.typestringEmployee assistant type
person_assistantobjectPerson assistant
person_assistant._idstringPerson assistant ID
person_assistant.namestringPerson assistant name
person_assistant.typestringPerson assistant type
json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": {
    "number": "string",
    "type": "string",
    "balance_changes": [
      {
        "currency_id": "string",
        "amount": 0,
        "value": 0,
        "user_type": "string"
      }
    ],
    "organization": {
      "_id": "string",
      "name": "string"
    },
    "payment_type": {
      "_id": "string",
      "name": "string",
      "payment_type": "string"
    },
    "contract_number": "string",
    "amount": 0,
    "state": "string",
    "currency_id": "string",
    "exchange_amount": 0,
    "cashbox_id": "string",
    "cashbox": {
      "_id": "string",
      "name": "string"
    },
    "destination_cashbox_id": "string",
    "destination_cashbox": {
      "_id": "string",
      "name": "string"
    },
    "source_cashbox_id": "string",
    "source_cashbox": {
      "_id": "string",
      "name": "string"
    },
    "exchange_currency": {
      "_id": "string",
      "name": "string",
      "value": 0
    },
    "employee": {
      "_id": "string",
      "full_name": "string",
      "phone_number": "string"
    },
    "supplier": {
      "_id": "string",
      "full_name": "string",
      "name": "string",
      "phone_number": "string"
    },
    "customer": {
      "_id": "string",
      "full_name": "string",
      "name": "string",
      "phone_number": "string"
    },
    "person": {
      "_id": "string",
      "name": "string",
      "full_name": "string",
      "phone_number": "string",
      "type": "string"
    },
    "parent": {
      "_id": "string",
      "amount": 0,
      "currency_id": "string",
      "payment_method_id": "string",
      "payment_method": "string",
      "cashbox_id": "string",
      "type": "string",
      "custom_id": "string"
    },
    "destination": {
      "_id": "string",
      "name": "string"
    },
    "payment_method": {
      "_id": "string",
      "type": "string",
      "name": "string"
    },
    "created_at": "string",
    "date": "string",
    "updated_at": "string",
    "is_deleted": false,
    "completely_deleted": false,
    "balance_list": [
      {}
    ],
    "created_by": {
      "_id": "string",
      "full_name": "string"
    },
    "to_customer": "string",
    "to_supplier": "string",
    "to_employee": "string",
    "to_person": "string",
    "description": "string",
    "receipt": "string",
    "cashbox_before_balance": {
      "_id": "string",
      "organization_id": 0,
      "payment_method_id": "string",
      "currency_id": "string",
      "amount": 0
    },
    "cashbox_after_balance": {
      "_id": "string",
      "organization_id": 0,
      "payment_method_id": "string",
      "currency_id": "string",
      "amount": 0
    },
    "human_before_balance": {
      "_id": "string",
      "organization_id": 0,
      "payment_method_id": "string",
      "currency_id": "string",
      "amount": 0
    },
    "human_after_balance": {
      "_id": "string",
      "organization_id": 0,
      "payment_method_id": "string",
      "currency_id": "string",
      "amount": 0
    },
    "attachments": [
      "string"
    ],
    "invoice": {
      "_id": "string",
      "number": "string",
      "currency_id": "string",
      "currency_value": 0,
      "paid": 0,
      "main_id": "string"
    },
    "can_be_canceled": false,
    "done_at": "string",
    "rejected_at": "string",
    "canceled_at": "string",
    "device": {
      "_id": "string",
      "name": "string",
      "device_id": "string"
    },
    "trade": {
      "_id": "string",
      "number": "string",
      "is_refund": "string"
    },
    "responsible": {
      "_id": "string",
      "full_name": "string"
    },
    "customer_assistant": {
      "_id": "string",
      "name": "string",
      "type": "string"
    },
    "supplier_assistant": {
      "_id": "string",
      "name": "string",
      "type": "string"
    },
    "employee_assistant": {
      "_id": "string",
      "name": "string",
      "type": "string"
    },
    "person_assistant": {
      "_id": "string",
      "name": "string",
      "type": "string"
    }
  },
  "time": "2025-05-01T12:00:00Z"
}

POST /transaction/expense ​

This method allows adding transaction into the account.

Request body

FieldTypeRequiredDescription
invoice_idstringNo
payment_type_idstringYes
employee_idstringYes
employee_assistant_idstringNo
supplier_idstringYes
supplier_assistant_idstringNo
customer_idstringYes
customer_assistant_idstringNo
person_idstringYes
person_assistant_idstringNo
user_typestringYesOne of: supplier, employee, customer, person, other
amountnumberYesDefault: 10
atachmentsobject[]Yes
atachments[].pathstringYes
paidnumberNoDefault: 10
payment_method_idstringYes
currency_idstringYes
json
{
  "invoice_id": "64b7f4d9e2b3b6a0b7c5d7ff",
  "payment_type_id": "64b7f4d9e2b3b6a0b7c5d7ff",
  "employee_id": "64b7f4d9e2b3b6a0b7c5d800",
  "employee_assistant_id": "64b7f4d9e2b3b6a0b7c5d801",
  "supplier_id": "64b7f4d9e2b3b6a0b7c5d802",
  "supplier_assistant_id": "64b7f4d9e2b3b6a0b7c5d803",
  "customer_id": "64b7f4d9e2b3b6a0b7c5d804",
  "customer_assistant_id": "64b7f4d9e2b3b6a0b7c5d805",
  "person_id": "64b7f4d9e2b3b6a0b7c5d806",
  "person_assistant_id": "64b7f4d9e2b3b6a0b7c5d807",
  "user_type": "customer",
  "amount": 10,
  "atachments": [
    {
      "path": "string"
    }
  ],
  "paid": 10,
  "payment_method_id": "64b7f4d9e2b3b6a0b7c5d806",
  "currency_id": "64b7f4d9e2b3b6a0b7c5d806"
}

Response

Same response shape as POST /transaction/income.

POST /transaction/transfer ​

This method allows adding transaction into the account.

Request body

FieldTypeRequiredDescription
destination_cashbox_idstringYes
user_typestringYesOne of: supplier, employee, customer, person, other
amountnumberYesDefault: 10
atachmentsobject[]Yes
atachments[].pathstringYes
paidnumberNoDefault: 10
payment_method_idstringYes
currency_idstringYes
json
{
  "destination_cashbox_id": "64b7f4d9e2b3b6a0b7c5d7ff",
  "user_type": "customer",
  "amount": 10,
  "atachments": [
    {
      "path": "string"
    }
  ],
  "paid": 10,
  "payment_method_id": "64b7f4d9e2b3b6a0b7c5d806",
  "currency_id": "64b7f4d9e2b3b6a0b7c5d806"
}

Response

Same response shape as POST /transaction/income.

POST /transaction/exchange ​

This method allows adding transaction into the account.

Request body

FieldTypeRequiredDescription
exchange_currency_idstringYes
exchange_amountnumberYesDefault: 10
destination_cashbox_idstringYes
user_typestringYesOne of: supplier, employee, customer, person, other
amountnumberYesDefault: 10
atachmentsobject[]Yes
atachments[].pathstringYes
paidnumberNoDefault: 10
payment_method_idstringYes
currency_idstringYes
json
{
  "exchange_currency_id": "64b7f4d9e2b3b6a0b7c5d7ff",
  "exchange_amount": 10,
  "destination_cashbox_id": "64b7f4d9e2b3b6a0b7c5d7ff",
  "user_type": "customer",
  "amount": 10,
  "atachments": [
    {
      "path": "string"
    }
  ],
  "paid": 10,
  "payment_method_id": "64b7f4d9e2b3b6a0b7c5d806",
  "currency_id": "64b7f4d9e2b3b6a0b7c5d806"
}

Response

Same response shape as POST /transaction/income.

POST /transaction/exchange-method ​

This method allows adding transaction into the account.

Request body

FieldTypeRequiredDescription
destination_payment_method_idstringYes
exchange_amountnumberYesDefault: 10
user_typestringYesOne of: supplier, employee, customer, person, other
amountnumberYesDefault: 10
atachmentsobject[]Yes
atachments[].pathstringYes
paidnumberNoDefault: 10
payment_method_idstringYes
currency_idstringYes
json
{
  "destination_payment_method_id": "64b7f4d9e2b3b6a0b7c5d7ff",
  "exchange_amount": 10,
  "user_type": "customer",
  "amount": 10,
  "atachments": [
    {
      "path": "string"
    }
  ],
  "paid": 10,
  "payment_method_id": "64b7f4d9e2b3b6a0b7c5d806",
  "currency_id": "64b7f4d9e2b3b6a0b7c5d806"
}

Response

Same response shape as POST /transaction/income.

PUT /transaction/set-state ​

This method allows setting transaction state.

Request body

FieldTypeRequiredDescription
_idstringNo
statestringYesOne of: canceled, pending, done, rejected
json
{
  "_id": "64b7f4d9e2b3b6a0b7c5d7ff",
  "state": "pending"
}

Response

Same response shape as POST /transaction/income.

PUT /transaction/expense/approve ​

Approve a pending expense transaction.

Request body

FieldTypeRequiredDescription
_idstringYesExpense transaction ObjectId to approve
json
{
  "_id": "64b7f4d9e2b3b6a0b7c5d7ff"
}

Response

Same response shape as POST /transaction/income.

PUT /transaction/expense/reject ​

Reject a pending expense transaction with a reason.

Request body

FieldTypeRequiredDescription
_idstringYesExpense transaction ObjectId to reject
approval_rejected_reasonstringYesReason for rejecting the expense (at least 10 characters)
json
{
  "_id": "64b7f4d9e2b3b6a0b7c5d7ff",
  "approval_rejected_reason": "string"
}

Response

Same response shape as POST /transaction/income.

PUT /transaction/expense/redirect ​

Redirect a pending expense transaction to another approver.

Request body

FieldTypeRequiredDescription
_idstringYesExpense transaction ObjectId to redirect
approver_idstringYesEmployee ObjectId of the new approver
approval_redirect_commentstringNoOptional comment explaining the redirect
json
{
  "_id": "64b7f4d9e2b3b6a0b7c5d7ff",
  "approver_id": "64b7f4d9e2b3b6a0b7c5d800",
  "approval_redirect_comment": "string"
}

Response

Same response shape as POST /transaction/income.

GET /transaction/get-by-id/{id} ​

Get transaction using its _id

Path parameters

ParameterTypeRequiredDescription
idstringYes

Request body

No request body.

Response

Same response shape as POST /transaction/income.

POST /transaction/get-paging ​

Get transactions by paging

Request body

FieldTypeRequiredDescription
pagenumberYesDefault: 1
limitnumberYesDefault: 20
typestringNo
statesstring[]No
payment_type_idstringNo
payment_type_idsstring[]No
sort_bystringNo
date_fromstringNo
date_tostringNo
payment_method_idstringNo
payment_method_idsstring[]No
cashbox_idstringNo
organization_idstringNo
customer_idstringNo
supplier_idstringNo
person_idstringNo
employee_idstringNo
is_deletedbooleanNo
employee_idsstring[]No
cashbox_idsstring[]No
json
{
  "page": 1,
  "limit": 20,
  "type": "income",
  "states": [
    "pending"
  ],
  "payment_type_id": "64b7f4d9e2b3b6a0b7c5d7ff",
  "payment_type_ids": [
    "64b7f4d9e2b3b6a0b7c5d7ff"
  ],
  "sort_by": "created_at",
  "date_from": "2023-07-20T12:34:56.789Z",
  "date_to": "2023-07-21T12:34:56.789Z",
  "payment_method_id": "64b7f4d9e2b3b6a0b7c5d7ff",
  "payment_method_ids": [
    "64b7f4d9e2b3b6a0b7c5d7ff"
  ],
  "cashbox_id": "64b7f4d9e2b3b6a0b7c5d7ff",
  "organization_id": "64b7f4d9e2b3b6a0b7c5d7ff",
  "customer_id": "64b7f4d9e2b3b6a0b7c5d7ff",
  "supplier_id": "64b7f4d9e2b3b6a0b7c5d7ff",
  "person_id": "64b7f4d9e2b3b6a0b7c5d7ff",
  "employee_id": "64b7f4d9e2b3b6a0b7c5d7ff",
  "is_deleted": true,
  "employee_ids": [
    "64b7f4d9e2b3b6a0b7c5d7ff"
  ],
  "cashbox_ids": [
    "64b7f4d9e2b3b6a0b7c5d7ff"
  ]
}

Response

data.total is the total number of records and data.data[] holds the current page. The table below describes one record.

FieldTypeDescription
numberstringTransaction number
typestringTransaction type
balance_changesobject[]Balance changes
balance_changes[].currency_idstringCurrency ID
balance_changes[].amountnumberAmount
balance_changes[].valuenumberValue
balance_changes[].user_typestringUser type
organization_idstringOrganization ID
payment_typeobjectPayment type
payment_type._idstringPayment type ID
payment_type.namestringPayment type name
payment_type.payment_typestringPayment type
contract_numberstringContract number
amountnumberAmount
statestringState
currencyobjectCurrency
currency._idstringCurrency ID
currency.namestringCurrency name
currency.valuenumberCurrency value
exchange_amountnumberExchange amount
cashbox_idstringCashbox ID
destination_cashbox_idstringDestination cashbox ID
exchange_currencyobjectExchange currency
exchange_currency._idstringExchange currency ID
exchange_currency.namestringExchange currency name
exchange_currency.valuenumberExchange currency value
employeeobjectEmployee
employee._idstringEmployee ID
employee.full_namestringEmployee full name
employee.phone_numberstringEmployee phone number
supplierobjectSupplier
supplier._idstringSupplier ID
supplier.full_namestringSupplier full name
supplier.namestringSupplier name
supplier.phone_numberstringSupplier phone number
customerobjectCustomer
customer._idstringCustomer ID
customer.full_namestringCustomer full name
customer.namestringCustomer name
customer.phone_numberstringCustomer phone number
personobjectPerson
person._idstringPerson ID
person.namestringPerson name
person.full_namestringPerson full name
person.phone_numberstringPerson phone number
person.typestringPerson type
parentobjectParent
parent._idstringParent ID
parent.amountnumberAmount
parent.currency_idstringCurrency ID
parent.payment_method_idstringPayment method ID
parent.payment_methodstringPayment method
parent.cashbox_idstringCashbox ID
parent.typestringType
parent.custom_idstringCustom ID
destinationobjectDestination
destination._idstringDestination ID
destination.namestringName
payment_methodobjectPayment method
payment_method._idstringPayment method ID
payment_method.typestringType
payment_method.namestringName
created_atstringCreated at
datestringDate
updated_atstringUpdated at
is_deletedbooleanIs deleted
completely_deletedbooleanCompletely deleted
balance_listobject[]Balance list
created_byobjectCreated by
created_by._idstringCreated by ID
created_by.full_namestringFull name
descriptionstringDescription
receiptstringReceipt
cashbox_before_balanceobjectCashbox before balance
cashbox_before_balance._idstring
cashbox_before_balance.organization_idintegerOrganization ID
cashbox_before_balance.payment_method_idstringPayment method ID
cashbox_before_balance.currency_idstringCurrency ID
cashbox_before_balance.amountnumber
cashbox_after_balanceobjectCashbox after balance
cashbox_after_balance._idstring
cashbox_after_balance.organization_idintegerOrganization ID
cashbox_after_balance.payment_method_idstringPayment method ID
cashbox_after_balance.currency_idstringCurrency ID
cashbox_after_balance.amountnumber
human_before_balanceobjectHuman before balance
human_before_balance._idstring
human_before_balance.organization_idintegerOrganization ID
human_before_balance.payment_method_idstringPayment method ID
human_before_balance.currency_idstringCurrency ID
human_before_balance.amountnumber
human_after_balanceobjectHuman after balance
human_after_balance._idstring
human_after_balance.organization_idintegerOrganization ID
human_after_balance.payment_method_idstringPayment method ID
human_after_balance.currency_idstringCurrency ID
human_after_balance.amountnumber
attachmentsstring[]Attachments
invoiceobjectInvoice
invoice._idstringInvoice ID
invoice.numberstringInvoice number
invoice.currency_idstringCurrency ID
invoice.currency_valuenumberCurrency value
invoice.paidnumberPaid amount
invoice.main_idstringMain invoice ID
can_be_canceledbooleanCan be canceled
amount_in_mainnumberAmount in main currency
json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": {
    "total": 0,
    "data": [
      {
        "number": "string",
        "type": "string",
        "balance_changes": [
          {
            "currency_id": "string",
            "amount": 0,
            "value": 0,
            "user_type": "string"
          }
        ],
        "organization_id": "string",
        "payment_type": {
          "_id": "string",
          "name": "string",
          "payment_type": "string"
        },
        "contract_number": "string",
        "amount": 0,
        "state": "string",
        "currency": {
          "_id": "string",
          "name": "string",
          "value": 0
        },
        "exchange_amount": 0,
        "cashbox_id": "string",
        "destination_cashbox_id": "string",
        "exchange_currency": {
          "_id": "string",
          "name": "string",
          "value": 0
        },
        "employee": {
          "_id": "string",
          "full_name": "string",
          "phone_number": "string"
        },
        "supplier": {
          "_id": "string",
          "full_name": "string",
          "name": "string",
          "phone_number": "string"
        },
        "customer": {
          "_id": "string",
          "full_name": "string",
          "name": "string",
          "phone_number": "string"
        },
        "person": {
          "_id": "string",
          "name": "string",
          "full_name": "string",
          "phone_number": "string",
          "type": "string"
        },
        "parent": {
          "_id": "string",
          "amount": 0,
          "currency_id": "string",
          "payment_method_id": "string",
          "payment_method": "string",
          "cashbox_id": "string",
          "type": "string",
          "custom_id": "string"
        },
        "destination": {
          "_id": "string",
          "name": "string"
        },
        "payment_method": {
          "_id": "string",
          "type": "string",
          "name": "string"
        },
        "created_at": "string",
        "date": "string",
        "updated_at": "string",
        "is_deleted": false,
        "completely_deleted": false,
        "balance_list": [
          {}
        ],
        "created_by": {
          "_id": "string",
          "full_name": "string"
        },
        "description": "string",
        "receipt": "string",
        "cashbox_before_balance": {
          "_id": "string",
          "organization_id": 0,
          "payment_method_id": "string",
          "currency_id": "string",
          "amount": 0
        },
        "cashbox_after_balance": {
          "_id": "string",
          "organization_id": 0,
          "payment_method_id": "string",
          "currency_id": "string",
          "amount": 0
        },
        "human_before_balance": {
          "_id": "string",
          "organization_id": 0,
          "payment_method_id": "string",
          "currency_id": "string",
          "amount": 0
        },
        "human_after_balance": {
          "_id": "string",
          "organization_id": 0,
          "payment_method_id": "string",
          "currency_id": "string",
          "amount": 0
        },
        "attachments": [
          "string"
        ],
        "invoice": {
          "_id": "string",
          "number": "string",
          "currency_id": "string",
          "currency_value": 0,
          "paid": 0,
          "main_id": "string"
        },
        "can_be_canceled": false,
        "amount_in_main": 0
      }
    ]
  },
  "time": "2025-05-01T12:00:00Z"
}

This page is generated from the OpenAPI spec.

Bito 2.0 Integration API